Support Desk 2.5 won't install on DNN 2.1.2

I'm sure I saw something about this in the forums, but I can't find it now, so I'll post this anyway...

Just tried installing Support Desk 2.5 on my DNN 2.1.2 installation, and it fails on the execution of the 02.05.01.SqlDataProvider file (and 02.05.02) - the SP dbo.SupportDesk_GetArticlesByStatusAndSupportUser can't be found.
I checked and saw the SP was created as dnn.SupportDesk_.....
Tracing it back I found the SP created in 1.08.04.SqlDataProvider as:
CREATE PROC SupportDesk+AF8-GetArticlesByStatusAndSupportUser
Adding in {databaseOwner} or dbo. fixes the problem and the module then installs ok.
I'm sure this should have been picked up long ago and corrected by v2.5, so perhaps it's only a problem installing on DNN 2.1.2?
Cheers,
Stu
0
sswain
9/27/2004 8:18:16 AM
asp.net.dotnetnuke-modules 4559 articles. 0 followers. Follow

13 Replies
985 Views

Similar Articles

[PageSpeed] 49
Get it on Google Play
Get it on Apple App Store

I hate to make light of this - But Snowcovered are the ones you should contact.... A post on THEIR support desk might be the way to go and ask them to check it's been updated. 

Have you got all the patches... andif you have all the patches, check the dates of them and make sure you haven't patched with an older patch that might have the same name.
I find this extremely annoying to read because you shouldn't be having these problems with properly written modules, with proper instructions and you are correct, there were issues with the portal store too when the DBO issues were sorted out.
I am glad you got it working - and since DNN 2.1.2 has been out since June 14, it should have been updated well and truly by now.
Glad you got it working and thanks for posting it again Stu!
Nina Meiers
Nina Meiers


Free Skins & Containers by Nina Meies
0
xddg
9/27/2004 9:39:26 AM
I wouldn't rely on Snowcovered for support - I posted a request on their support desk 3 weeks ago for a module that I had purchased and so far I have had no response from Snowcovered.
0
IWS
9/27/2004 12:20:03 PM
This is slightly unfair as the support at snowcovered is provided by each module developer through a centralised system. If the module developer does not respond then it is not a problem with snowcovered.com. 


Visit www.dnnnotes.com - index of DNN threads - hand picked quality threads.

TextLayout Module - create multiple column layouts easily
0
bobster234
9/27/2004 1:36:19 PM
I bought the support desk (Support Desk 2[1].5 - Support Desk 2.5 DNN 2.0.zip) yesterday on SnowCovered. Just checked the SQL provider files for the issue you're raising but appearently it has been fixed 3 weeks ago, the files have a timestamp of September 5th.

//Niels
0
niemeyer
9/27/2004 1:42:55 PM
Rob (Bobster) - Support Desk 2.5 is their module - It's written by Snowcovered,just like Portal store 6.4 is.

That's why thought is was kind of funny in a twisted way-
Unless I stand corrected, I am sure it's their product..
Nina
Nina Meiers


Free Skins & Containers by Nina Meies
0
xddg
9/27/2004 1:57:51 PM
Nina, always confuses me as I get emails from brice when I ask questions and the listing for portal store is GUYDEVELOPER. Not sure how many people are in their band!

The other complaint was about another module I assume. I have two outstanding tickets for the smartpopup developer with no reply, but my numerous questions about portal store and support desk have been answered very quickly and always solved the problem.
ROb
Visit www.dnnnotes.com - index of DNN threads - hand picked quality threads.

TextLayout Module - create multiple column layouts easily
0
bobster234
9/27/2004 2:28:48 PM
developer for portalstore listed as SNOW ....
Visit www.dnnnotes.com - index of DNN threads - hand picked quality threads.

TextLayout Module - create multiple column layouts easily
0
bobster234
9/27/2004 2:34:04 PM
I really do need a Support Desk function for my Portal Hosting Services. I have just checked out Support Desk 2.5 and it looks really good, including the InfoBase.

Does anyone have this up and running on a site that I can visit and possibly submit a request?
Thanks.
Cliff
------
Million Dollar Memorial
0
chammock
9/27/2004 2:42:08 PM
I had it running ...  on 2.something...  seems to be working fine after my upgrade to 2.1.2

0
brian_c
9/27/2004 5:05:10 PM
I have it running where you can put in some test tickets.

http://www.flinthillstech.com
You will have to register and login before it is displayed.
0
fht
9/27/2004 5:24:20 PM
Ahh... yes, but my point was not so much that it's a problem with the module, but that it's a problem on DNN 2.1.2. The code for creating the stored procedure doesn't have {databaseOwner} (or similar), and the SP gets created as "dnn.SupportDesk..." instead of "dbo.SupportDesk..."

Since others don't seem to have had this problem I was wondering whether this is an issue with DNN 2.1.2 creating a SP as "dnn." by default, whereas perhaps previous versions of DNN didn't? *shrug* I dunno, just asking.....
0
sswain
9/28/2004 5:10:54 AM
I had the same problem. I reported it to snowcovered and (with a patch) it was fixed within 30 minutes of my report. It is up and running at http://www.ezreally.com that my IT helpdesk site.

Caz
0
cazg
9/28/2004 1:03:03 PM
For a powerfull fully customizable support desk/project module, go to http://www.snowcovered.com/snowcovered2/Default.aspx?tabid=164&CatalogItemID=1010&uid=zuIFVg3fts4%3d

AWESOME SUPPORT! Check the feedback and forums.
Chris Onyak
www.OnyakTech.com


DotNetNuke Gold Benefactor 

0
onyaktech
10/30/2004 8:50:38 PM
Reply:

Similar Artilces:

Never done upgrade before. Have a 2.1.2 site w/many custom (purchased) modules, some of which are no longer supported. Don't see *any* info in 3.1 install docs for 2.1.2 upgrade?
Hey folks: I'm about to try something very scary, and I've spent the last 5 or so hours reading DNN 3.1 docs and doing searches here (sure which the search worked better, like allowed sort by date??).  Anyway, I don't see *any* info on updating a 2.1.2 site to a 3.1 site.  The only examples all have machine key stuff and other stuff that's not an issue (or is it?) w/2.1.2 Here's the situation: 1 I have localhost access to the site via remote desktop 2. I have disconnected backed up data and log files and reconnected 3. I have made a copy of the virtual folder. No...

DNN 3.2.1 & 3.2.2
I swear I looked everywhere... can't seem to find an answer to this. In the action menu of a module, when trying to move it "content pane" or "left pane" etc... clicking the menu does nothing...   wondering if anyone else has this issue and has solved it. Thankfully, I can still drag and drop it... just can't use the menu. Thanks everyone! this is an error in 3.2.1, and should work in 3.2.2 cheers, erikErik van Ballegoij, The Netherlands...

Create module using .NET ver 2.0 and use with DNN 2.1.2
Hi all, i would like to start to test the .NET 2.0 version of the framework ad i would like to know is there some problem if i write a module with the 2.0 version of .NET and use with DNN 2.1.2. Thanks Stefano...

superreview requested: [Bug 372232] text inside <svg> won't render in FF 2. 0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1. #2
T Rowley (IBM) <tor@acm.org> has asked Robert O'Callahan <roc@ocallahan.org> for superreview: Bug 372232: text inside <svg> won't render in FF 2.0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1. https://bugzilla.mozilla.org/show_bug.cgi?id=372232 Attachment 261164: compact logic https://bugzilla.mozilla.org/attachment.cgi?id=261164&action=edit ...

DotNetNuke 2.1.2 #2
Is DotNetNuke 2.1.2 compatible with SQL Server 2005? Do I need to upgrade to 3.x or 4.x with SQL Server 2005?...

Mac 5.2 Archive won't open in 6.5 or in 5.2
I'm working on a Mac running OS 10.3.7 I've got copies of Groupwise Clients 5.2 and 6.5. Neither of them will open up my old archive folder that I migrated from my previous machine (an OS 9 Mac with GW 5.2). If I try to drag items manually from the archive into Groupwise 5.2, it tells me: Insufficient security rights. Access denied. Library: . Your rights for this library are: . I ran a permissions repair on the whole machine, just for kicks. But no dice. Dragging archive items manually into GW 6.5 does nothing. Obviously, I'm specifying the correct path to the...

Calendar Pro 2.5 for DNN 2.1.2
Hi, This question is specifically about the calendar pro 2.5 module. Is there a way to add fields to this module without having to play too much with the code? for instance, like adding a field called "zip code" to the module. I really appreciate your help on this. Thanks, Treost Depending on where you put it, there shouldn't be too much work. You are going to have to update 3-4 stored procedures, one table and all the code in the dataprovider to accomadate this change. You will also have to modify the UI to take in and display this data.Chris Paterra ...

DNN 3.2.2 + MAC OS 9.2.2 + IE 5.1 NO LOGIN
I have a group of clients on the following platform: MICROSOFT INTERNET EXPLORER, VERSION 5.1 FOR MACINTOSH OPERATING  SYSTEM VERSIONS 8.1 through 9.2.2 (¬≥MAC OS CLASSIC¬≤) After recently upgrading to DNN 3.2.2 they can no longer login. Windows IE users have no problems. When they login on the MAC they are returned to the home page but are not logged in as they see no menus for logged in users. They receive no error message. I have had the users clear file cache and cookies but still no access. This happens on multiple machines in the same office with same specs. Any direction i...

Firefox 1.5 and 2.0 won't work with iMangler 2.6 with SP2
After updating my iMangler from 2.5 to 2.6 with SP2, here's what happens: I can access the login page, and I can login just fine. I get the initial "some tasks aren't available" and "new plugins available" page. But when you click on the "tree" (on the left-hand side) to do something, the right-hand pane in Firefox just gives you this error: Object not found! The requested URL was not found on this server. The link on the referring page seems to be wrong or outdated. Please inform the author of that page about the error. If you ...

DotNetNuke Upgrade 2.1.2 to 3.0.13 can't edit html modules
Ok I upgrade my 2.1.2 to 3.0.13. Site is really important because it actually makes money but I really need the advantage of friendly urls blah blah blah I uninstall all my custom modules except my PA Faq's from dotnetjedi that is really the heart of my site. I of course did a test upgrade on a different machine and I was able to leave that one custom module installed, upgrade, the module broke of course, then I uploaded the dnn 3 version and it worked :) So anyway I now do the upgrade on my live site and it upgrades just like it did on the test machine, except this time I noticed that the...

superreview cancelled: [Bug 372232] text inside <svg> won't render in FF 2. 0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1.
T Rowley (IBM) <tor@acm.org> has cancelled T Rowley (IBM) <tor@acm.org>'s request for superreview: Bug 372232: text inside <svg> won't render in FF 2.0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1. https://bugzilla.mozilla.org/show_bug.cgi?id=372232 Attachment 260740: add test as suggested https://bugzilla.mozilla.org/attachment.cgi?id=260740&action=edit ...

superreview granted: [Bug 372232] text inside <svg> won't render in FF 2.0. 0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1.
Robert O'Callahan <roc@ocallahan.org> has granted T Rowley (IBM) <tor@acm.org>'s request for superreview: Bug 372232: text inside <svg> won't render in FF 2.0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1. https://bugzilla.mozilla.org/show_bug.cgi?id=372232 Attachment 261164: compact logic https://bugzilla.mozilla.org/attachment.cgi?id=261164&action=edit ...

superreview requested: [Bug 372232] text inside <svg> won't render in FF 2. 0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1.
T Rowley (IBM) <tor@acm.org> has asked Robert O'Callahan <roc@ocallahan.org> for superreview: Bug 372232: text inside <svg> won't render in FF 2.0.0.2 (it shows in DOM tree). However, it renders inside 2.0.0 and 2.0.0.1. https://bugzilla.mozilla.org/show_bug.cgi?id=372232 Attachment 260740: add test as suggested https://bugzilla.mozilla.org/attachment.cgi?id=260740&action=edit ...

updated 1.2.2 to 2.0.1 but still shows 1.2.2
I just reinstalled the SBS 6 with the NW6 SP3 Overly cd and i put web access, iprint, dhcp/dns, naas on the initial install. I then proceded to upgrade edir to 8.7.1 ( i updated jvm and the other stuff that 8.7.1 required first) and everything went great. I then udated imanager from 1.2.2. to 2.0.1 and the install went as expected no errors or anything. Here is the problem when i surf to iManager with internet exploder 6 it shows me i am using 1.2.2. I read the instructions and they talk about some migrating but the direction don't match imanager 1.2.2 (i assume they are reffe...

Web resources about - Support Desk 2.5 won't install on DNN 2.1.2 - asp.net.dotnetnuke-modules

Resources last updated: 12/28/2015 3:55:39 PM